Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 725226 - net-nntp/tin installs pre-stripped files
Summary: net-nntp/tin installs pre-stripped files
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-25 07:21 UTC by Agostino Sarubbo
Modified: 2021-09-09 11:30 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,54.39 KB, text/plain)
2020-05-25 07:21 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-05-25 07:21:38 UTC
This is an auto-filed bug because net-nntp/tin installs pre-stripped files.
The issue was originally discovered on amd64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.
Comment 1 Agostino Sarubbo gentoo-dev 2020-05-25 07:21:43 UTC
Created attachment 641576 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2021-09-09 11:30:11 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33fde56460066967775cd4f48187564d79ba17ad

commit 33fde56460066967775cd4f48187564d79ba17ad
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo@sysrq.in>
AuthorDate: 2021-09-09 11:20:26 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2021-09-09 11:24:42 +0000

    net-nntp/tin: add 2.6.0
    
    * set correct LICENSE (main code is licensed under 3-clause BSD, only
      metamutt script is GPL)
    
    * remove "doc" USE flag as unnecessary
    
    * remove "etiquette" USE flag (can be toggled in tinrc)
    
    * remove "ipv6" USE flag (no external deps)
    
    * remove "unicode" USE flag (tin 2.6 builds with ncursesw only)
    
    * remove "mime" and "spell" USE flags (optional runtime functionality)
    
    * depend unconditionally on dev-libs/icu
    
    * depend on virtual/libintl instead of gettext (tarball already has .gmo
      files)
    
    * add yacc build dependency
    
    * unbundle libcanlock
    
    * gmane.org -> gmane.io
    
    * install localized manpages
    
    * do not remove mbox.5 and mmdf.5 manpages (e-file reports no
      collisions)
    
    Couldn't reproduce bug #725226
    
    Bug: https://bugs.gentoo.org/725226
    Closes: https://bugs.gentoo.org/550620
    Signed-off-by: Anna Vyalkova <cyber+gentoo@sysrq.in>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 net-nntp/tin/Manifest              |  1 +
 net-nntp/tin/metadata.xml          |  6 +--
 net-nntp/tin/tin-2.4.5-r1.ebuild   |  2 +-
 net-nntp/tin/tin-2.6.0.ebuild      | 87 ++++++++++++++++++++++++++++++++++++++
 profiles/arch/arm/package.use.mask |  4 ++
 5 files changed, 96 insertions(+), 4 deletions(-)